package io.gisbi.application.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.gisbi.application.system.domain.Role;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface RoleMapper extends BaseMapper<Role> {
    /**********************************
     * 用途说明: 根据用户id获取角色信息
     * 参数说明 id 角色id
     * 返回值说明: void
     ***********************************/
    List<Role> getRoleByUserId(String id);

    /**********************************
     * 用途说明: 根据用户id获取角色id
     * 参数说明 userid 用户id
     * 返回值说明: void
     ***********************************/
    List<String> getRoleUsers(String userid, String appId);

    /***********************************
     * 用途说明：根据角色id删除角色菜单关联
     * 参数说明
     *id        角色id
     * 返回值说明:  是否删除成功
     ***********************************/
    void deleteRoleMenus(String roleId);

    /***********************************
     * 用途说明：根据角色id删除角色用户关联
     * 参数说明
     *id        角色id
     * 返回值说明:  是否删除成功
     ***********************************/
    void deleteRoleUser(String roleId);

    /***********************************
     * 用途说明：根据 角色id和用户id 删除 （admin除外）
     * 参数说明
     *roleid        角色id
     * urserid      用户id
     * 返回值说明:  是否删除成功
     ***********************************/
    boolean deleteRoleUsers(String roleid, String urserid);
}
