package io.gisbi.application.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.gisbi.application.system.domain.Organization;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组织机构 服务类
 * </p>
 *
 * @author lilin
 * @since 2025-05-08
 */
public interface IOrganizationService extends IService<Organization> {
    /***********************************
     * 用途说明：获取企业列表
     * 参数说明
     * 返回值说明:  企业列表集合
     ***********************************/
    List<Map<String, Object>> getOrganizations(String appId, String  orgtype, String parentid, String orgname);

    /***********************************
     * 用途说明：根据企业ID查询部门信息
     * 参数说明
     * id        企业id
     * 返回值说明:  系统部门框架对象
     ***********************************/
    Organization getOrganizationById(String id);

    /***********************************
     * 用途说明：新增系统组织框架
     * 参数说明
     * Organization     系统组织框架对象
     * 返回值说明:  是否新增成功
     ***********************************/
    boolean addOrganization(Organization organization);


}
